Index: trunk/abdev/BasicCompiler_Common/VariableOpe.cpp
===================================================================
--- trunk/abdev/BasicCompiler_Common/VariableOpe.cpp	(revision 256)
+++ trunk/abdev/BasicCompiler_Common/VariableOpe.cpp	(revision 265)
@@ -220,5 +220,5 @@
 		if(lpIndex==-1) lstrcpy(name,"VoidPtr");
 		else{
-			if( compiler.objectModule.meta.GetProcPointers()[lpIndex]->ReturnType().IsNull() )
+			if( compiler.GetObjectModule().meta.GetProcPointers()[lpIndex]->ReturnType().IsNull() )
 				lstrcpy(name,"*Sub");
 			else lstrcpy(name,"*Function");
@@ -235,5 +235,5 @@
 
 Type GetStringTypeInfo(){
-	Type type( DEF_OBJECT, *compiler.objectModule.meta.GetClasses().GetStringClassPtr() );
+	Type type( DEF_OBJECT, *compiler.GetObjectModule().meta.GetClasses().GetStringClassPtr() );
 	return type;
 }
@@ -575,5 +575,5 @@
 	// 名前空間を分離
 	char namespaceStr[VN_SIZE]="", simpleName[VN_SIZE];
-	compiler.objectModule.meta.GetNamespaces().SplitNamespace( variable, namespaceStr, simpleName );
+	compiler.GetObjectModule().meta.GetNamespaces().SplitNamespace( variable, namespaceStr, simpleName );
 
 	// 先頭オブジェクトまたはクラス名と入れ子メンバに分割
@@ -647,5 +647,5 @@
 		GetNowStaticVarFullName(VarName,temporary);
 
-		pVar = compiler.objectModule.meta.GetGlobalVars().Find( Symbol( temporary ) );
+		pVar = compiler.GetObjectModule().meta.GetGlobalVars().Find( Symbol( temporary ) );
 		if( pVar ){
 			goto ok;
@@ -667,8 +667,8 @@
 		}
 
-		int typeDefIndex = compiler.objectModule.meta.GetTypeDefs().GetIndex( VarName );
+		int typeDefIndex = compiler.GetObjectModule().meta.GetTypeDefs().GetIndex( VarName );
 		if( typeDefIndex != -1 ){
 			// TypeDef後の型名だったとき
-			lstrcpy( VarName, compiler.objectModule.meta.GetTypeDefs()[typeDefIndex].GetBaseName().c_str() );
+			lstrcpy( VarName, compiler.GetObjectModule().meta.GetTypeDefs()[typeDefIndex].GetBaseName().c_str() );
 		}
 
@@ -676,5 +676,5 @@
 		sprintf(temp2,"%s.%s",VarName,temporary);
 
-		pVar = compiler.objectModule.meta.GetGlobalVars().Find( Symbol( temp2 ) );
+		pVar = compiler.GetObjectModule().meta.GetGlobalVars().Find( Symbol( temp2 ) );
 		if( pVar ){
 			lstrcpy(member,tempMember);
@@ -689,5 +689,5 @@
 		sprintf(temp2,"%s.%s",compiler.pCompilingClass->GetName().c_str(),VarName);
 
-		pVar = compiler.objectModule.meta.GetGlobalVars().Find( Symbol( temp2 ) );
+		pVar = compiler.GetObjectModule().meta.GetGlobalVars().Find( Symbol( temp2 ) );
 		if( pVar ){
 			goto ok;
@@ -700,5 +700,5 @@
 	////////////////////
 
-	pVar = compiler.objectModule.meta.GetGlobalVars().BackSearch( Symbol( VarName ) );
+	pVar = compiler.GetObjectModule().meta.GetGlobalVars().BackSearch( Symbol( VarName ) );
 	if( pVar ){
 		goto ok;
@@ -973,5 +973,5 @@
 	extern int AllGlobalVarSize;
 
-	if( compiler.objectModule.meta.GetGlobalVars().DuplicateCheck( Symbol( name ) ) ){
+	if( compiler.GetObjectModule().meta.GetGlobalVars().DuplicateCheck( Symbol( name ) ) ){
 		//２重定義のエラー
 		SetError(15,name,cp);
@@ -997,5 +997,5 @@
 
 	// 変数を追加
-	compiler.objectModule.meta.GetGlobalVars().push_back( pVar );
+	compiler.GetObjectModule().meta.GetGlobalVars().push_back( pVar );
 
 	//アラインメントを考慮
@@ -1105,10 +1105,10 @@
 
 		//定数と２重定義されていないる場合は抜け出す
-		if(compiler.objectModule.meta.GetGlobalConsts().GetBasicType(VarName)){
+		if(compiler.GetObjectModule().meta.GetGlobalConsts().GetBasicType(VarName)){
 			return;
 		}
 
 		//定数マクロとして定義されている場合は抜け出す
-		if( compiler.objectModule.meta.GetGlobalConstMacros().IsExist( VarName ) )
+		if( compiler.GetObjectModule().meta.GetGlobalConstMacros().IsExist( VarName ) )
 		{
 			return;
@@ -1126,5 +1126,5 @@
 
 	//定数と２重定義されていないかを調べる
-	if(compiler.objectModule.meta.GetGlobalConsts().GetBasicType(VarName)){
+	if(compiler.GetObjectModule().meta.GetGlobalConsts().GetBasicType(VarName)){
 		SetError(15,VarName,cp);
 		return;
@@ -1132,5 +1132,5 @@
 
 	//定数マクロとして定義されている場合
-	if( compiler.objectModule.meta.GetGlobalConstMacros().IsExist( VarName ) ){
+	if( compiler.GetObjectModule().meta.GetGlobalConstMacros().IsExist( VarName ) ){
 		SetError(15,VarName,cp);
 		return;
